Skip to content

Suggest books

GET
/api/v1/books/suggestions
curl --request GET \
--url 'http://127.0.0.1:8080/api/v1/books/suggestions?limit=10&offset=0' \
--header 'Authorization: Bearer <token>'
q
string
<= 200 characters
limit
integer format: int64
default: 10 >= 1
offset
integer format: int64
0

OK

Media typeapplication/json
object
has_more
required
boolean
items
required
Array<object> | null
object
author
string
cover_asset_id
string
edition
string
editor
string
id
required
string
kind
required
string
revision
required
integer format: int64
subtitle
string
title
required
string
key
additional properties
any
limit
required
integer format: int64
offset
required
integer format: int64
key
additional properties
any
Examplegenerated
{
"has_more": true,
"items": [
{
"author": "example",
"cover_asset_id": "example",
"edition": "example",
"editor": "example",
"id": "example",
"kind": "example",
"revision": 1,
"subtitle": "example",
"title": "example"
}
],
"limit": 1,
"offset": 1
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}